libcoap 4.3.2rc2

Typedefs | Functions
coap_prng.h File Reference

Pseudo Random Numbers. More...

Go to the source code of this file.

## Typedefs
typedef int(* | coap_rand_func_t) (void *out, size_t len)
| Data type for random number generator function. More...

## Functions
void | coap_set_prng (coap_rand_func_t rng)
| Replaces the current random number generation function with the default function `rng`. More...
void | coap_prng_init (unsigned int seed)
| Seeds the default random number generation function with the given `seed`. More...
int | coap_prng (void *buf, size_t len)
| Fills `buf` with `len` random bytes using the default pseudo random number generator. More...

## Detailed Description

Pseudo Random Numbers.

Definition in file coap_prng.h.